Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159162 - missing return statement
Summary: missing return statement
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-30 21:51 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-10 19:15:08 UTC


Attachments (Terms of Use)

Description David Binderman 2005-05-30 21:51:42 UTC
Description of problem:

I just tried to compile package gdm-2.6.0.8-16 from Redhat Fedora Core
development tree with the most excellent Intel C compiler.

The compiler said

greeter_item_throbber.c(136): warning #1011: missing return statement at end of
non-void function "greeter_item_throbber_setup"

The source code is

gboolean
greeter_item_throbber_setup (const char *theme_dir)
{

  g_free (datadir);
  datadir = g_strdup (theme_dir);

  set_throbber_visible (FALSE);
}

Suggest add return statement to the end of the routine.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Matthias Clasen 2006-09-10 19:15:08 UTC
greeter_item_throbber.c was part of the early-login effort, which we have since
dropped.


Note You need to log in before you can comment on or make changes to this bug.